[Launch]
ProgramExecutable=GOMPlayer\GOM.exe
MinOS=XP
DirectoryMoveOK=yes
WaitForEXE1=GOMProtect.exe
WaitForEXE2=GrLauncher.exe
WaitForEXE3=KillGom.exe
WaitForEXE4=popup.exe
WaitForEXE5=RtParser.exe
WaitForEXE6=srt2smi.exe

[Activate]
Registry=true

[RegistryKeys]
GomPlayer=HKCU\Software\GRETECH\GomPlayer

[RegistryCleanupIfEmpty]
1=HKCU\Software\GRETECH

[RegistryValueBackupDelete]
1=HKCU\SOFTWARE\GRETECH\AppUniqId

[DirectoriesMove]
GomPlayer=%APPDATA%\GRETECH\GomPlayer
GomPlayer_AUAD=%ALLUSERSAPPDATA%\GRETECH\GomPlayer

-=%APPDATA%\Mobon

[DirectoriesCleanupIfEmpty]
1=%APPDATA%\GRETECH
2=%ALLUSERSAPPDATA%\GRETECH

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\GomPlayer.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\GomPlayer.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\GomPlayer.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

;=== default values
[FileWrite4]
Type=INI
File=%PAL:DataDir%\settings\GomPlayer.reg
Section='HKEY_CURRENT_USER\Software\GRETECH\GomPlayer\OPTION'
Key='"bFirstUpdateLaunching"'
Value=dword:00000000

[FileWrite5]
Type=INI
File=%PAL:DataDir%\settings\GomPlayer.reg
Section='HKEY_CURRENT_USER\Software\GRETECH\GomPlayer\OPTION'
Key='"bCheckUpdate"'
Value=dword:00000000

[FileWrite6]
Type=INI
File=%PAL:DataDir%\settings\GomPlayer.reg
Section='HKEY_CURRENT_USER\Software\GRETECH\GomPlayer\OPTION'
Key='"bFileAssocCheck"'
Value=dword:00000000

[FileWrite7]
Type=INI
File=%PAL:DataDir%\settings\GomPlayer.reg
Section='HKEY_CURRENT_USER\Software\GRETECH\GomPlayer\OPTION'
Key='"bUpdateForcedChecked2"'
Value=dword:00000001

;=== initial values
[FileWrite8]
Type=Replace
File=%PAL:DataDir%\settings\GomPlayer.reg
Find=CHANGEONFIRSTRUN001
Replace=%PAL:DataDir:DoubleBackslash%\\

[FileWrite9]
Type=Replace
File=%PAL:DataDir%\settings\GomPlayer.reg
Find=CHANGEONFIRSTRUN002
Replace=%PAL:DataDir:DoubleBackslash%\\GomGallery\\Capture\\

[FileWrite10]
Type=Replace
File=%PAL:DataDir%\settings\GomPlayer.reg
Find=CHANGEONFIRSTRUN003
Replace=%PAL:DataDir:DoubleBackslash%\\GomGallery\\

[FileWrite11]
Type=Replace
File=%PAL:DataDir%\settings\GomPlayer.reg
Find=CHANGEONFIRSTRUN004
Replace=%PAL:DataDir:DoubleBackslash%
